const express = require('express');

const cityApp = express();

const libs = `${process.cwd()}/libs`;

const squel = require('squel');

const query = require(`${libs}/middlewares/query`);

const response = require(`${libs}/middlewares/response`);

cityApp.get('/', (req, res, next) => {
    req.sql.from('municipios');
    next();
}, query, response('city'));

cityApp.get('/:id', (req, res, next) => {
    req.sql.from('municipios')
        .where('pk_municipio_id = ?', parseInt(req.params.id, 10));
    next();
}, query, response('city'));

cityApp.get('/ibge/:id', (req, res, next) => {
    req.sql.from('municipios')
        .where('codigo_ibge = ?', req.params.id);
    next();
}, query, response('city'));

cityApp.get('/state/:id', (req, res, next) => {
    req.sql.from('municipios')
        .where('fk_estado_id = ?', parseInt(req.params.id, 10));
    next();
}, query, response('city'));

module.exports = cityApp;
